import java.io.*;
import java.util.*;

public class Sequence {
    public static void main(String[] args) throws Exception {
      Scanner in = new Scanner(new File("sequence.in"));
      PrintWriter out = new PrintWriter("sequence.out");
      int n=in.nextInt();
      int[] mas=new int[n];
      for(int i=0;i<n;i++){
          mas[i]=in.nextInt();
      }
      for(int i=0;i<n/2;i++){
          out.print(mas[i]+" "+mas[n-i-1]+" ");
      }
      if (n%2!=0){
          out.print(mas[(n-1)/2]);
      }
      out.close();
   }
}
